require 'spec_helper'

if ENV['AUTOPKGTEST_TEST_ARCH'] == 'riscv64'
  puts "Skipping this test because it is unreliable on riscv64."
  exit 77
end

describe command('/usr/sbin/vinyld -C -f /etc/vinyl-cache/default.vcl') do
  its(:exit_status) { should eq 0 }
end

describe command('/usr/share/vinyl-cache/vinylreload') do
  its(:exit_status) { should eq 0 }
  its(:stdout) { should contain('compiled') }
  its(:stderr) { should eq '' }
end
